<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Redirect;
use DB;
use Auth;
use App\Http\Controllers\Helper;
use Excel;

class ReportController extends Controller
{
    public function newTransactions(request $request)
    {
        $userId = Auth::User()->id;
        if($userId != 10)
        {
            return "you have no privilege to view this page";
        }
        
        $title = "Commission Report";

        $dateFrom = date('Y-08-01 00:00:00');
        $dateTo = date('Y-m-d 23:59:59');

        //display all uplines
        $db = DB::SELECT("SELECT DISTINCT upline, created_at FROM comm_users ORDER BY id ASC",array($dateFrom, $dateTo));
        
        $uplineArr =  array();
        foreach($db as $up)
        {
            $arr = array(
                'upline' => $up->upline,
                'created_at' => $up->created_at
            );
            
            array_push($uplineArr, $arr);
        }
        
        return view('pages.test')->with('uplineArr', $uplineArr);
    }
    
    public function showDownlines(request $request)
    {
        $upline = $request->upline;
        $userId = Auth::User()->id;
        if($userId != 10)
        {
            return "you have no privilege to view this page";
        }
        
        $title = "Downline Report";

        $dateFrom = date('Y-08-01 00:00:00');
        $dateTo = date('Y-m-d 23:59:59');

        //display all uplines
        $db = DB::SELECT("SELECT username, created_at FROM comm_users WHERE upline = ?",array($upline));
        
        // $db = DB::SELECT("SELECT 
        //                     SUM(b.amount) as depo_amount
        //                     ,a.username
        //                     ,a.created_at FROM comm_users as a INNER JOIN comm_deposit as b ON a.username = b.username WHERE a.upline = ?",array($upline));
        
        $uplineArr = array();
        foreach($db as $downline)
        {
            $comm = (2*0) / 100;
            $array = array(
                'username' => $downline->username,
                'created_at' => $downline->created_at,
                'depo_amount' => number_format(0, 2),
                'commission' => number_format($comm, 2)
            );
            
            array_push($uplineArr, $array);
        }

        
        return view('pages.showDownlines')->with('uplineArr', $uplineArr)->with('upline', $upline);
    }
    
    public function showDownlinesTwo(request $request)
    {
        $upline = $request->upline;
        $userId = Auth::User()->id;
        if($userId != 10)
        {
            return "you have no privilege to view this page";
        }
        
        $title = "Downline Report";

        $dateFrom = date('Y-08-01 00:00:00');
        $dateTo = date('Y-m-d 23:59:59');

        //display all uplines
        $db = DB::SELECT("SELECT 
                            down_2_depo,
                            downline_2,
                            downline_1
                            FROM comm_transactions 
                          WHERE downline_1 = ? AND created_at BETWEEN ? AND ?",array($upline, $dateFrom, $dateTo));
        
        $uplineArr =  array();
        $totalDeposit = 0.00;
        foreach($db as $dbs)
        {
            $totalDeposit = $dbs->down_2_depo;
            
            $db2 = DB::SELECT("SELECT 
                        down_1_depo,
                        downline_1
                        FROM comm_transactions 
                      WHERE upline = ? AND created_at BETWEEN ? AND ?",array($dbs->downline_1, $dateFrom, $dateTo));
            
            if(count($db2) > 0)
            {
                 $depo = 0.00;
                foreach($db2 as $dbbb)
                {
                    $depo = $dbbb->down_1_depo;

                    $arr = array(
                        'username' => $dbbb->downline_1,
                        'deposit' => number_format($depo, 2),
                    );
                    
                    array_push($uplineArr, $arr);
                }
            }
            else
            {
                $arr = array(
                    'username' => $dbs->downline_2,
                    'deposit' => number_format($totalDeposit, 2),
                );
                
                array_push($uplineArr, $arr);
            }

        }
        
        return view('pages.showDownlinesTwo')->with('uplineArr', $uplineArr)->with('upline', $upline);
    }
    
    public function importReport(Request $request)
    {
        date_default_timezone_set("Asia/Kuala_Lumpur");
        
        if($request->hasFile('winlose_reports'))
        {
            $path = $request->file('winlose_reports')->getRealPath();
            $data = \Excel::load($path)->get();
            $date = date('Y-m-d H:i:s');
            
            // print_r($data);
            
            $reportArr = array();
            if($data->count())
            {
                foreach ($data as $value) 
                {
                    $counter = $value->counter;
                    $upline = $value->username;
                    $friend1 = $value->friend1;
                    $friend2 = $value->friend2;
                    $friend3 = $value->friend3;
                    $friend4 = $value->friend4;
                    $friend5 = $value->friend5;
                    $friend6 = $value->friend6;
                    $friend7 = $value->friend7;
                    $friend8 = $value->friend8;
                    $friend9 = $value->friend9;
                    $friend10 = $value->friend10;
                    $friend11 = $value->friend11;
                    $friend12 = $value->friend12;
                    $friend13 = $value->friend13;
                    $friend14 = $value->friend14;
                    $friend15 = $value->friend15;
                    $friend16 = $value->friend16;
                    
                    //check 1 by 1
                    if($friend1 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend1, $date));
                    }
                    if($friend2 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend2, $date));
                    }
                    if($friend3 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend3, $date));
                    }
                    if($friend4 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend4, $date));
                    }
                    if($friend5 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend5, $date));
                    }
                    if($friend6 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend6, $date));
                    }
                    if($friend7 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend7, $date));
                    }
                    if($friend8 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend8, $date));
                    }
                    if($friend9 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend9, $date));
                    }
                    if($friend10 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend10, $date));
                    }
                    if($friend11 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend11, $date));
                    }
                    if($friend12 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend12, $date));
                    }
                    if($friend13 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend13, $date));
                    }
                    if($friend14 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend14, $date));
                    }
                    if($friend15 != null)
                    {
                        DB::INSERT("INSERT INTO comm_users(counter, upline, username, created_at) VALUES(?,?,?,?)",array($counter, $upline, $friend15, $date));
                    }
                    
                    //insert without downlines
                    DB::INSERT("INSERT INTO comm_users(counter, upline, created_at) VALUES(?,?,?)",array($counter, $upline, $date));
                }
            }
        }
        else
        {
            return "File Error";
        }
    }
    
    public function winlose(request $request)
    {
        $userId = Auth::User()->id;
        if($userId != 10)
        {
            return "you have no privilege to view this page";
        }
        
        $title = "Win Lose Report";
                
        //super admin = 0
        //senior master = 1
        //senior = 2
        //master = 3
        //agent = 4
        //players = 5

        $dateFrom = date('Y-08-01 00:00:00');
        $dateTo = date('Y-m-d 23:59:59');
        
        //1st is , get the user level
        $userId = Auth::User()->id;
        $level = Helper::getLevel($userId);
        //$level = $level + 1; //can view own downline only

        //senior master    
        $db = DB::SELECT("SELECT 
                            sum(case when type = 1 then amount else 0 end) as deposit,
                            sum(case when type = 2 then amount else 0 end) as withdrawal,
                            sm_username,    
                            smID as uid,
                            smPT as percent
                          FROM transactions WHERE created_at BETWEEN ? AND ? GROUP BY smID",array($dateFrom, $dateTo));

        $reportArray = array();
        $totalDeposit = 0.00;
        $totalWithdrawal = 0.00;
        $totalWinLose = 0.00;
        $totaldepo = 0.00;
        $totalwithdraw = 0.00;
        $totalwinlose2 = 0.00;
        
        foreach($db as $reports)
        {
            $winlose = $reports->deposit - $reports->withdrawal;
            
            $percent = $reports->percent;
            
            //calculation starts here
            $depo = ($reports->deposit * $percent) / 100;
            $withdraw = ($reports->withdrawal * $percent) / 100; 
            $winlose2 = ($winlose * $percent) / 100;
            
            $arr = array(
                'uid' => $reports->uid,
                'user_name' => $reports->sm_username,
                'deposit' => number_format($reports->deposit, 2),
                'withdrawal' => number_format($reports->withdrawal, 2),
                'winlose' => number_format($winlose, 2),
                'depo' => number_format($depo, 2),
                'withdraw' => number_format($withdraw, 2),
                'winlose2' => number_format($winlose2, 2),
            );

            array_push($reportArray, $arr);

            //get total 
            $totalWinLose += $winlose;
            $totalDeposit += $reports->deposit;
            $totalWithdrawal += $reports->withdrawal;
            $totaldepo += $depo;
            $totalwithdraw += $withdraw;
            $totalwinlose2 += $winlose2;
        }

        return view('pages.winlose')->with('level', $level)
                                    ->with('level2', $level)
                                    ->with('reportArray', $reportArray)
                                    ->with('totalwinlose2', number_format($totalwinlose2, 2))
                                    ->with('totaldepo', number_format($totaldepo, 2))
                                    ->with('totalwithdraw', number_format($totalwithdraw, 2)) 
                                    ->with('totalWinLose', number_format($totalWinLose, 2))
                                    ->with('totalDeposit', number_format($totalDeposit, 2))
                                    ->with('totalWithdrawal', number_format($totalWithdrawal, 2));
    }
    
    public function winlosedownline(request $request)
    {
        $userId = Auth::User()->id;
        if($userId != '10')
        {
            return "you have no privilege to view this page";
        }
        
        $title = "Win Lose Report";
                
        //super admin = 0
        //senior master = 1
        //senior = 2
        //master = 3
        //agent = 4
        //players = 5

        $dateFrom = date('Y-08-01 00:00:00');
        $dateTo = date('Y-m-d 23:59:59');
        
        //1st is , get the user level
        $userId = $request->id;
        $level =  Helper::getLevel($userId);
        
        //get the level name
        $seniormaster = "";
        $senior = "";
        $masteragent = "";
        $agent = "";
        
        $seniormasterID = 0;
        $seniorID = 0;
        $masteragentID = 0;
        $agentID = 0;

        //senior master
        if($level == 1)
        {
            //get all senior master
            $db = DB::SELECT("SELECT 
                                sum(case when type = 1 then amount else 0 end) as deposit,
                                sum(case when type = 2 then amount else 0 end) as withdrawal,
                                s_username as uname,    
                                sID as uid,
                                sPT as percent
                              FROM transactions WHERE created_at BETWEEN ? AND ? AND smID = ? GROUP BY sID",array($dateFrom, $dateTo, $userId));
            
                        
            $getseniormaster = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($userId));
            $seniormaster = $getseniormaster[0]->user_name;
            $seniormasterID = $getseniormaster[0]->id;
        }

        //senior
        if($level == 2)
        {
            //get all master agents under this senior    
            $db = DB::SELECT("SELECT 
                                sum(case when type = 1 then amount else 0 end) as deposit,
                                sum(case when type = 2 then amount else 0 end) as withdrawal,
                                ma_username as uname,    
                                mID as uid,
                                mPT as percent
                              FROM transactions WHERE created_at BETWEEN ? AND ? AND sID = ? GROUP BY mID",array($dateFrom, $dateTo, $userId));
            
            $getsenior = DB::SELECT("SELECT id, user_name, smID FROM users WHERE id = ?",array($userId));
            $getseniormaster = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getsenior[0]->smID));
            
            $seniormaster = $getseniormaster[0]->user_name;
            $senior = $getsenior[0]->user_name;
            
            $seniormasterID = $getseniormaster[0]->id;
            $seniorID = $getsenior[0]->id;
        }

        //master agent
        if($level == 3)
        {
            //get all agents under this master agent    
            $db = DB::SELECT("SELECT 
                                sum(case when type = 1 then amount else 0 end) as deposit,
                                sum(case when type = 2 then amount else 0 end) as withdrawal,
                                a_username as uname,    
                                aID as uid,
                                aPT as percent
                              FROM transactions WHERE created_at BETWEEN ? AND ? AND mID = ? GROUP BY aID",array($dateFrom, $dateTo, $userId));
                        
            $getmasteragent = DB::SELECT("SELECT id, user_name, smID, sID FROM users WHERE id = ?",array($userId));
            $getsenior = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getmasteragent[0]->sID));
            $getseniormaster = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getmasteragent[0]->smID));
            
            $seniormaster = $getseniormaster[0]->user_name;
            $senior = $getsenior[0]->user_name;
            $masteragent = $getmasteragent[0]->user_name;
                        
            $seniormasterID = $getseniormaster[0]->id;
            $seniorID = $getsenior[0]->id;
            $masteragentID = $getmasteragent[0]->id;

        }

        if($level == 4)
        {
            //get all agents under this master agent    
            $db = DB::SELECT("SELECT 
                                sum(case when type = 1 then amount else 0 end) as deposit,
                                sum(case when type = 2 then amount else 0 end) as withdrawal,
                                user_name as uname,    
                                user_id as uid,
                                pPT as percent
                              FROM transactions WHERE created_at BETWEEN ? AND ? AND aID = ? GROUP BY user_id",array($dateFrom, $dateTo, $userId));
            
            $getagent = DB::SELECT("SELECT id, user_name, smID, sID, mID FROM users WHERE id = ?",array($userId));
            $getmasteragent = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getagent[0]->mID));
            $getsenior = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getagent[0]->sID));
            $getseniormaster = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getagent[0]->smID));
            
            $seniormaster = $getseniormaster[0]->user_name;
            $senior = $getsenior[0]->user_name;
            $masteragent = $getmasteragent[0]->user_name;
            $agent = $getagent[0]->user_name;
                        
            $seniormasterID = $getseniormaster[0]->id;
            $seniorID = $getsenior[0]->id;
            $masteragentID = $getmasteragent[0]->id;
            $agentID = $getagent[0]->id;
        }
        
        $reportArray = array();
        $totalDeposit = 0.00;
        $totalWithdrawal = 0.00;
        $totalWinLose = 0.00;       
        $totaldepo = 0.00;
        $totalwithdraw = 0.00;
        $totalwinlose2 = 0.00;
        foreach($db as $reports)
        {
            $winlose = $reports->deposit - $reports->withdrawal;
            $username = $reports->uname;
                        
            $percent = $reports->percent;
            
            //calculation starts here
            $depo = ($reports->deposit * $percent) / 100;
            $withdraw = ($reports->withdrawal * $percent) / 100; 
            $winlose2 = ($winlose * $percent) / 100;
            
            $arr = array(
                'uid' => $reports->uid,
                'user_name' => $username,
                'deposit' => number_format($reports->deposit, 2),
                'withdrawal' => number_format($reports->withdrawal, 2),
                'winlose' => number_format($winlose, 2),
                'depo' => number_format($depo, 2),
                'withdraw' => number_format($withdraw, 2),
                'winlose2' => number_format($winlose2, 2),
            );

            array_push($reportArray, $arr);

            //get total 
            $totalWinLose += $winlose;
            $totalDeposit += $reports->deposit;
            $totalWithdrawal += $reports->withdrawal;
            $totaldepo += $depo;
            $totalwithdraw += $withdraw;
            $totalwinlose2 += $winlose2;
        }

        return view('pages.winlose')->with('level', $level+1)
                                    ->with('level2', $level)
                                    ->with('reportArray', $reportArray)
                                    ->with('totalWinLose', number_format($totalWinLose, 2))
                                    ->with('totalDeposit', number_format($totalDeposit, 2))
                                    ->with('totalWithdrawal', number_format($totalWithdrawal, 2))       
                                    ->with('totalwinlose2', number_format($totalwinlose2, 2))
                                    ->with('totaldepo', number_format($totaldepo, 2))
                                    ->with('totalwithdraw', number_format($totalwithdraw, 2)) 
                                    ->with('seniormaster', $seniormaster)
                                    ->with('senior', $senior)
                                    ->with('masteragent', $masteragent)
                                    ->with('agent', $agent)
                                    ->with('seniormasterID', $seniormasterID)
                                    ->with('seniorID', $seniorID)
                                    ->with('masteragentID', $masteragentID)
                                    ->with('agentID', $agentID);
    }
    
    public function tngTransactions(request $request)
    {
        $title = "TNG Transactions Report";
        
        $dateFrom = date('Y-m-d 00:00:00', strtotime($request->dateFrom));
        $dateTo = date('Y-m-d 23:59:59', strtotime($request->dateTo));
        if($dateFrom == '1970-01-01 00:00:00')
        {
            $dateFrom = date('Y-m-01 00:00:00');
            $dateTo = date('Y-m-d 23:59:59');
        }
        
        $username = Auth::User()->user_name;
        $userId = Auth::User()->id;
        
        $db = DB::SELECT("SELECT * FROM tng_transactions WHERE status in(?,?) AND created_at BETWEEN ? AND ? AND counter = ? ORDER BY id DESC",array(0, 1, $dateFrom, $dateTo, strtoupper($username)));
        if($userId == '10')
        {
            $db = DB::SELECT("SELECT * FROM tng_transactions WHERE status in(?,?) AND created_at BETWEEN ? AND ? ORDER BY id DESC",array(0, 1, $dateFrom, $dateTo));
        }
        if($userId == '121')
        {
            $db = DB::SELECT("SELECT * FROM tng_transactions WHERE status in(?,?) AND created_at BETWEEN ? AND ? ORDER BY id DESC",array(0, 1, $dateFrom, $dateTo));
        }

        $tngArray = array();
        
        foreach($db as $tng)
        {
            $arr = array(
                'id' => $tng->id,
                'counter' => $tng->counter,
                'status' => $tng->status,
                'isClaimed' => $tng->isClaimed,
                'amount' => number_format($tng->amount, 2),
                'created_at' => $tng->created_at,
            );
            
            array_push($tngArray, $arr);
        }
        
        return view('pages.tngTransactions')->with('tngArray', $tngArray);
    }
    
    public function claim(request $request)
    {
        $id = $request->id;
        
        DB::BeginTransaction();
        try
        {
            DB::UPDATE("UPDATE tng_transactions SET isClaimed = 1 WHERE id = ?",array($id));    
            
            DB::Commit();
            
            $response = array(
                'status' => 0,
                'message' => 'Transaction is claimed successfully'
            );
            
            return json_encode($response, true);
        }
        catch(\Exception $ex)
        {
            DB::Rollback();
            
            $response = array(
                'status' => 1,
                'message' => 'Failed'
            );
            
            return json_encode($response, true);
        }
        
    }
}
