<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use Auth;
use App\Http\Controllers\Helper;

class UserController extends Controller
{
    public function viewusers(request $request)
    {
        $db = DB::SELECT("SELECT DISTINCT upline, created_at FROM comm_users ORDER BY id ASC");
        
        $userArr = array();
        foreach($db as $users)
        {
            $arr = array(
                'id' => 0,
                'username' => $users->upline,
                'created_at' => $users->created_at
            );
            
            array_push($userArr, $arr);
        }
        
        return view("pages.viewusers")->with('userArr', $userArr);
    }
    
    public function editusers(request $request)
    {
        DB::BeginTransaction();
        
        try
        {
            $oldusername = $request->username;
            $newusername = $request->newusername;
            
            if($newusername == '')
            {
                DB::Rollback();
                
                $response = array(
                    'status' => 1,
                    'message' => 'Please enter username'
                );
                
                return json_encode($response, true);
            }
            
            DB::UPDATE("UPDATE comm_users SET username = ? WHERE username = ?",array($newusername, $oldusername));
            
            DB::Commit();
            
            $response = array(
                'status' => 1,
                'message' => 'Please enter username'
            );
            
            return json_encode($response, true);
        }
        catch(\Exception $ex)
        {
            DB::Rollback();
            
            $response = array(
                'status' => 1,
                'message' => 'Failed'
            );
            
            return json_encode($response, true);
        }
    }
    
    public function adddownline(request $request)
    {
        DB::BeginTransaction();
        try
        {
            $username = $request->username;
            $downline = $request->downline;
            
            if($downline == '')
            {
                DB::Rollback();
                
                $response = array(
                    'status' => 1,
                    'message' => 'Please fill up downline username'
                );
                
                return json_encode($response, true);
            }
            
            //check if downline already exist or not 
            $db = DB::SELECT("SELECT username FROM comm_users WHERE username = ?",array($downline));
            if(count($db) > 0)
            {
                DB::Rollback();
                
                $response = array(
                    'status' => 1,
                    'message' => 'Downline already exist'
                );
                
                return json_encode($response, true);
            }
            
            $date = date('Y-m-d H:i:s');
            
            DB::INSERT("INSERT INTO comm_users(upline, username, counter, created_at) VALUES(?,?,?,?)",array($username, $downline, "LK88", $date));
            
            DB::Commit();
            
            $response = array(
                'status' => 0,
                'message' => 'Success'
            );
            
            return json_encode($response, true);
            
        }
        catch(\Exception $ex)
        {
            DB::Rollback();
            
            $response = array(
                'status' => 1,
                'message' => 'Failed'
            );
            
            return json_encode($response, true);
        }
    }
    
    public function viewusers_bk()
    {
        $userId = Auth::User()->id;
        if($userId != '120')
        {
            return "you have no privilege to view this page";
        }
        
        $title = "Manage User(s)";
        
        //super admin = 0
        //senior master = 1
        //senior = 2
        //master = 3
        //agent = 4
        //players = 5
        
        //get the level name
        $seniormaster = "";
        $senior = "";
        $masteragent = "";
        $agent = "";
        
        $seniormasterID = 0;
        $seniorID = 0;
        $masteragentID = 0;
        $agentID = 0;
        
        //1st is , get the user level
        $userId = Auth::User()->id;
        $level = Helper::getLevel($userId);
        //$level = $level + 1; //can view own downline only
        
        //super admin
        $db = DB::SELECT("SELECT * FROM users WHERE level = ?",array(1));
        
        //senior master
        if($level == 1)
        {
            $db = DB::SELECT("SELECT * FROM users WHERE level = ?",array(2)); // view senior
        }
        
        //senior
        if($level == 2)
        {
            $db = DB::SELECT("SELECT * FROM users WHERE level = ?",array(3)); // view master agent
        }
        
        //master
        if($level == 3)
        {
            $db = DB::SELECT("SELECT * FROM users WHERE level = ?",array(4)); //view agents
        }
        
        //agent
        if($level == 4)
        {
            $db = DB::SELECT("SELECT * FROM users WHERE level = ?",array(5)); // view players
        }
        
        $agentArray = array();
        foreach($db as $agents)
        {
            //1 = active ,2 = suspended
            $status = 'Active';
            if($agents->status == 2)
            {
                $status = 'Suspended';
            }
            
            $arr = array(
                'id' => $agents->id,
                'level' => $agents->level,
                'name' => $agents->name,
                'email' => $agents->email,
                'user_name' => $agents->user_name,
                'phone_number' => $agents->phone_number,
                'created_at' => $agents->created_at,
                'status' => strtoupper($status),
                'updated_at' => $agents->updated_at,
            );

            array_push($agentArray, $arr);
        }
        

        return view('pages.manageCustomer')->with('agentArray', $agentArray)
                                           ->with('level', $level)
                                           ->with('seniormaster', $seniormaster)
                                           ->with('senior', $senior)
                                           ->with('masteragent', $masteragent)
                                           ->with('agent', $agent)
                                           ->with('seniormasterID', $seniormasterID)
                                           ->with('seniorID', $seniorID)
                                           ->with('masteragentID', $masteragentID)
                                           ->with('agentID', $agentID);
    }
    
    public function viewdownline(request $request)
    {
        $userId = Auth::User()->id;
        if($userId != '120')
        {
            return "you have no privilege to view this page";
        }
        
        //senior master = 1
        //senior = 2
        //master = 3
        //agent = 4
        //players = 5
        
        //1st is , get the user level
        $userId = $request->id;
        $level = $request->level;
        
        //get the level name
        $seniormaster = "";
        $senior = "";
        $masteragent = "";
        $agent = "";
        
        $seniormasterID = 0;
        $seniorID = 0;
        $masteragentID = 0;
        $agentID = 0;
        
        //super admin
        $db = DB::SELECT("SELECT * FROM users WHERE level = ?",array(1));
        
        //senior master
        if($level == 1)
        {
            $db = DB::SELECT("SELECT * FROM users WHERE level = ? and smID = ?",array(2, $userId)); // view senior
            
            $getseniormaster = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($userId));
            $seniormaster = $getseniormaster[0]->user_name;
            $seniormasterID = $getseniormaster[0]->id;
        }
        
        //senior
        if($level == 2)
        {
            $db = DB::SELECT("SELECT * FROM users WHERE level = ? and sID = ?",array(3, $userId)); // view master agent
            
            $getsenior = DB::SELECT("SELECT id, user_name, smID FROM users WHERE id = ?",array($userId));
            $getseniormaster = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getsenior[0]->smID));
            
            $seniormaster = $getseniormaster[0]->user_name;
            $senior = $getsenior[0]->user_name;
            
            $seniormasterID = $getseniormaster[0]->id;
            $seniorID = $getsenior[0]->id;
        }
        
        //master
        if($level == 3)
        {
            $db = DB::SELECT("SELECT * FROM users WHERE level = ? and mID = ?",array(4, $userId)); //view agents
            
            $getmasteragent = DB::SELECT("SELECT id, user_name, smID, sID FROM users WHERE id = ?",array($userId));
            $getsenior = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getmasteragent[0]->sID));
            $getseniormaster = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getmasteragent[0]->smID));
            
            $seniormaster = $getseniormaster[0]->user_name;
            $senior = $getsenior[0]->user_name;
            $masteragent = $getmasteragent[0]->user_name;
                        
            $seniormasterID = $getseniormaster[0]->id;
            $seniorID = $getsenior[0]->id;
            $masteragentID = $getmasteragent[0]->id;
        }
        
        //agent
        if($level == 4)
        {
            $db = DB::SELECT("SELECT * FROM users WHERE level = ? and aID = ?",array(5, $userId)); // view players
            
            $getagent = DB::SELECT("SELECT id, user_name, smID, sID, mID FROM users WHERE id = ?",array($userId));
            $getmasteragent = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getagent[0]->mID));
            $getsenior = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getagent[0]->sID));
            $getseniormaster = DB::SELECT("SELECT id, user_name FROM users WHERE id = ?",array($getagent[0]->smID));
            
            $seniormaster = $getseniormaster[0]->user_name;
            $senior = $getsenior[0]->user_name;
            $masteragent = $getmasteragent[0]->user_name;
            $agent = $getagent[0]->user_name;
                        
            $seniormasterID = $getseniormaster[0]->id;
            $seniorID = $getsenior[0]->id;
            $masteragentID = $getmasteragent[0]->id;
            $agentID = $getagent[0]->id;
        }
        
        $agentArray = array();
        foreach($db as $agents)
        {
            //1 = active ,2 = suspended
            $status = 'Active';
            if($agents->status == 2)
            {
                $status = 'Suspended';
            }
            
            $arr = array(
                'id' => $agents->id,
                'level' => $agents->level,
                'name' => $agents->name,
                'email' => $agents->email,
                'user_name' => $agents->user_name,
                'phone_number' => $agents->phone_number,
                'created_at' => $agents->created_at,
                'status' => strtoupper($status),
                'updated_at' => $agents->updated_at,
            );

            array_push($agentArray, $arr);
        }
        
        return view('pages.manageCustomer')->with('agentArray', $agentArray)
                                           ->with('level', $level)
                                           ->with('seniormaster', $seniormaster)
                                           ->with('senior', $senior)
                                           ->with('masteragent', $masteragent)
                                           ->with('agent', $agent)
                                           ->with('seniormasterID', $seniormasterID)
                                           ->with('seniorID', $seniorID)
                                           ->with('masteragentID', $masteragentID)
                                           ->with('agentID', $agentID);
    }
    
    public function newagent(request $request)
    {
        $userId = Auth::User()->id;
        if($userId != '120')
        {
            return "you have no privilege to view this page";
        }
        return view('pages.addcustomer');
    }
    
    public function newagentprocess(request $request)
    {
        
    }
    
    public function editagent(request $request)
    {
        $userId = $request->id;
        
        return view('pages.editcustomer')->with('userId', $userId);
    }
   
    public function editagentprocess(request $request)
    {

    }
}
