
<!-- DataTables -->
<link rel="stylesheet" href="admin/plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="admin/plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
<link rel="stylesheet" href="admin/plugins/datatables-buttons/css/buttons.bootstrap4.min.css">

<section class="content">
    <div class="container-fluid">
        <div class="row">
             <div class="col-md-10 offset-md-1">
                <div class="row content1" style="margin-top:25px;margin-bottom:25px">
                    <div class="col-2">
                        <div class="form-group">
                            From
                            <input type="date" class="form-control" id="date-from">
                        </div>
                    </div>
                     <div class="col-2">
                        <div class="form-group">
                            To
                            <input type="date" class="form-control" id="date-to">
                        </div>
                    </div>
 
                    <div class="col-2">
                        <div class="form-group">
                            <label></label>
                            
                        </div>
                    </div>
                    <div class="col-12">
                        <button style="width:100px" class="btn btn-sm btn-warning" onclick="change_date('today')">Today</button>
                        <button style="width:100px"  class="btn btn-sm btn-success" onclick="change_date('yesterday')">Yesterday</button>
                        <button style="width:100px"  class="btn btn-sm btn-danger" onclick="change_date('last_week')">Last Week</button>
                        <button style="width:100px"  class="btn btn-sm btn-info" onclick="change_date('this_month')">This Month</button>
                        <button style="width:100px"  class="btn btn-sm btn-secondary" onclick="change_date('last_month')">Last Month</button>
                        <button style="width:100px"  type="submit" id="submit-button" class="btn btn-primary btn-sm" onclick="tngTransactions()">
                            <icon class="icon-search icon-brown"></icon> Search
                        </button>
                    </div>

                </div>
            </div>
        </div>
    </div>
</section>

<section class="content">
    <div class="container-fluid">
        <div class="card card-primary card-outline">
            <div class="card-header">
                <h3 class="card-title">TNG Transactions</h3>
            </div>
            <!-- /.card-header -->
            <div class="card-body">
                <div id="example1_wrapper" class="dataTables_wrapper dt-bootstrap4">
                    <div class="table-responsive">

                        <table id="example1" class="table table-bordered table-hover dataTable dtr-inline">
                            <thead style="background-color: #17a2b8;color:white;">
                                <tr>
                                    <th width="5">No.</th>
                                    <th>Transaction ID</th>
                                    <th>Date/Time</th>
                                    <th>Counter</th>
                                    <th>Amount</th>
                                    <th>Status</th>
                                    <th></th>                                    
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__currentLoopData = $tngArray; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=> $rep): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($key+1); ?></td>
                                    <td><?php echo e($rep['id']); ?></td>
                                    <td><?php echo e($rep['created_at']); ?></td>
                                    <td><?php echo e($rep['counter']); ?></td>
                                    <td><?php echo e($rep['amount']); ?></td>
                                    <td>
                                        <?php if($rep['status'] == 0): ?>
                                        Pending
                                        <?php else: ?>
                                        Success
                                        <?php endif; ?>
                                        /
                                        <?php if($rep['isClaimed'] == 0): ?>
                                        Not Claimed
                                        <?php else: ?>
                                        Claimed
                                        <?php endif; ?>
                                        
                                    </td>
                                    <td>
                                        <?php if($rep['isClaimed'] == 0): ?>
                                        <button class="btn btn-sm btn-primary btn-block" onclick="claim('<?php echo e($rep['id']); ?>')">Claim</button>
                                        <?php else: ?>
                                        <?php endif; ?>
                                    </td>
                                    
                                </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>

                </div>

            </div>
            <br>
        </div>
    </div>
</section>


<!-- DataTables  & Plugins -->
<script src="admin/plugins/datatables/jquery.dataTables.min.js"></script>
<script src="admin/plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="admin/plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="admin/plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="admin/plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="admin/plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="admin/plugins/jszip/jszip.min.js"></script>
<script src="admin/plugins/pdfmake/pdfmake.min.js"></script>
<script src="admin/plugins/pdfmake/vfs_fonts.js"></script>
<script src="admin/plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="admin/plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="admin/plugins/datatables-buttons/js/buttons.colVis.min.js"></script>

<!-- Page specific script -->
<script>

    function change_date(date) {
        //today
        var today = new Date();
        var dd = String(today.getDate()).padStart(2, '0');
        var mm = String(today.getMonth() + 1).padStart(2, '0'); //January is 0!
        var yyyy = today.getFullYear();
        today = yyyy + '-' + mm + '-' + dd;

        //yesterday
        var yesterday = new Date();
        var yes_dd = String(yesterday.getDate()-1).padStart(2, '0');
        var yes_mm = String(yesterday.getMonth() + 1).padStart(2, '0'); //January is 0!
        var yes_yyyy = yesterday.getFullYear();
        yesterday = yes_yyyy + '-' + yes_mm + '-' + yes_dd;

        //this week
        var dt = new Date(); // current date of week
        var currentWeekDay = dt.getDay();
        var lessDays = currentWeekDay == 0 ? 6 : currentWeekDay - 1;
        var wkStart = new Date(new Date(dt).setDate(dt.getDate() - lessDays));
        var wkEnd = new Date(new Date(wkStart).setDate(wkStart.getDate() + 6));

        firstDay = wkStart.getFullYear() + "-" + (wkStart.getMonth() + 1) + "-" + wkStart.getDate();
        lastDay = wkEnd.getFullYear() + "-" + (wkEnd.getMonth() + 1) + "-" + wkEnd.getDate();

        //last week
        var lastWeek_firstday = new Date(wkStart.getFullYear(), wkStart.getMonth(), wkStart.getDate() - 7);
        var lastWeekMonth_firstday = String(lastWeek_firstday.getMonth() + 1).padStart(2, '0');
        var lastWeekDay_firstday = String(lastWeek_firstday.getDate()).padStart(2, '0');
        var lastWeekYear_firstday = lastWeek_firstday.getFullYear();

        var lastWeek_lastday = new Date(wkStart.getFullYear(), wkStart.getMonth(), wkStart.getDate() - 1);
        var lastWeekMonth_lastday = String(lastWeek_lastday.getMonth() + 1).padStart(2, '0');
        var lastWeekDay_lastday = String(lastWeek_lastday.getDate()).padStart(2, '0');
        var lastWeekYear_lastday = lastWeek_lastday.getFullYear();

        lastweek_firstDay = lastWeekYear_firstday + "-" + lastWeekMonth_firstday + "-" + lastWeekDay_firstday;
        lastweek_lastDay = lastWeekYear_lastday + "-" + lastWeekMonth_lastday + "-" + lastWeekDay_lastday;

        //this month
        var this_month = new Date();
        var first_thismonth = new Date(this_month.getFullYear(), this_month.getMonth(), 1);
        var thismonth_fisrtday_month = String(first_thismonth.getMonth() + 1).padStart(2, '0');
        var thismonth_fisrtday_day = String(first_thismonth.getDate()).padStart(2, '0');
        var thismonth_fisrtday_year = first_thismonth.getFullYear();

        var last_thismonth = new Date(this_month.getFullYear(), this_month.getMonth() + 1, 0);
        var thismonth_lastday_month = String(last_thismonth.getMonth() + 1).padStart(2, '0');
        var thismonth_lastday_day = String(last_thismonth.getDate()).padStart(2, '0');
        var thismonth_lastday_year = last_thismonth.getFullYear();

        thismonth_firstDay = thismonth_fisrtday_year + "-" + thismonth_fisrtday_month + "-" + thismonth_fisrtday_day;
        thismonth_lastDay = thismonth_lastday_year + "-" + thismonth_lastday_month + "-" + thismonth_lastday_day;

        //last month
        var last_month = new Date();
        var first_lastmonth = new Date(last_month.getFullYear(), last_month.getMonth()-1, 1);
        var lastmonth_fisrtday_month = String(first_lastmonth.getMonth() + 1).padStart(2, '0');
        var lastmonth_fisrtday_day = String(first_lastmonth.getDate()).padStart(2, '0');
        var lastmonth_fisrtday_year = first_lastmonth.getFullYear();

        var last_lastmonth = new Date(last_month.getFullYear(), last_month.getMonth() - 1, 1);
        var lastmonth_lastday_month = String(last_lastmonth.getMonth() + 1).padStart(2, '0');

        var lastmonth_lastday_year = last_lastmonth.getFullYear();

        var today2222 = new Date(last_month.getFullYear(), last_month.getMonth() - 1, 1);
        var lastDayOfMonthssss = new Date(today2222.getFullYear(), today2222.getMonth()+1, 0);
        var lastmonth_lastday_day = String(lastDayOfMonthssss.getDate()).padStart(2, '0'); //this part is wrong

        console.log(lastDayOfMonthssss);

        lastmonth_firstDay = lastmonth_fisrtday_year + "-" + lastmonth_fisrtday_month + "-" + lastmonth_fisrtday_day;
        lastmonth_lastDay = lastmonth_lastday_year + "-" + lastmonth_lastday_month + "-" + lastmonth_lastday_day;

        if(date == 'today')
        {
            document.getElementById("date-from").value = today;
            document.getElementById("date-to").value = today;
        }
        else if(date == 'yesterday')
        {
            document.getElementById("date-from").value = yesterday;
            document.getElementById("date-to").value = yesterday;
        }
        else if(date == 'this_week')
        {
            document.getElementById("date-from").value = firstDay;
            document.getElementById("date-to").value = lastDay;
        }
        else if(date == 'last_week')
        {
            document.getElementById("date-from").value = lastweek_firstDay;
            document.getElementById("date-to").value = lastweek_lastDay;
        }
        else if(date == 'this_month')
        {
            document.getElementById("date-from").value = thismonth_firstDay;
            document.getElementById("date-to").value = thismonth_lastDay;
        }
        else if(date == 'last_month')
        {
            document.getElementById("date-from").value = lastmonth_firstDay;
            document.getElementById("date-to").value = lastmonth_lastDay;
        }
    }

    function tngTransactions() {
        $.ajax({
            type: "post",
            url: "<?php echo e(url('tngTransactions')); ?>",
            headers:
            {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
            },
            data:{
                dateFrom : $("#date-from").val(),
                dateTo : $("#date-to").val(),
            },
            beforeSend: function()
            {
                $("#loader-image").show();
            },
            success: function(data)
            {
                $("#loader-image").hide();
                $("#main-content-div").html(data);
            }
        });
    }
    
    function claim(id) {
        $.ajax({
            type: "post",
            url: "<?php echo e(url('claim')); ?>",
            headers:
            {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
            },
            data:
            {
                id : id,
            },
            success: function(data)
            {
                result = JSON.parse(data);
                status = result['status'];

                if(status == 0)
                {
                    alert(result['message']);
                    tngTransactions();
                    // location.reload();
                }
                else
                {
                    alert(result['message']);
                }
            }
        });
    }


    $(function () {
        $("#example1").DataTable({
            "responsive": true, "lengthChange": false, "autoWidth": false,
            "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
        }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
        $('#example2').DataTable({
            "paging": true,
            "lengthChange": false,
            "searching": false,
            "ordering": true,
            "info": true,
            "autoWidth": true,
            "responsive": true,
        });
    });
</script>
